### Method

# Pango LayoutIter get_line_yrange

#### Declaration [src]

    void
    pango_layout_iter_get_line_yrange (
      PangoLayoutIter* iter,
      int* y0_,
      int* y1_
    )

#### Description [src]

Divides the vertical space in the `PangoLayout` being iterated over between the lines in the layout, and returns the space belonging to the current line.

A line’s range includes the line’s logical extents. plus half of the spacing above and below the line, if `pango_layout_set_spacing()` has been called to set layout spacing. The Y positions are in layout coordinates (origin at top left of the entire layout).

Note: Since 1.44, Pango uses line heights for placing lines, and there may be gaps between the ranges returned by this function.

#### Parameters

`y0_`

  Type: `int*`

  Start of line.

  The argument will be set by the function.
  The argument can be `NULL`.

`y1_`

  Type: `int*`

  End of line.

  The argument will be set by the function.
  The argument can be `NULL`.